#include "CS_KingClimb.h"
const int CS_KingSTATENAME_CLIMB = ++entityStateID;
CS_KingClimb::CS_KingClimb()
{
	stateID = CS_KingSTATENAME_CLIMB;
}

void CS_KingClimb::State()
{
	auto we = e.lock();
	if (!we)
		return;
	we->ani.sprite_index = we->lr == 0 ? L"mc_king_climb_l" : L"mc_king_climb_r";
}

void CS_KingClimb::ChangeStateMsg(int stateID)
{
	if (stateID == GetStateID())
		enable = true;
	else
		enable = false;
}
